JGraph X 1.4.0.9

## com.mxgraph.shape
Class mxCurveLabelShape.LabelPosition

    java.lang.Object
      com.mxgraph.shape.mxCurveLabelShape.LabelPosition

Enclosing class:
  mxCurveLabelShape

    public class mxCurveLabelShape.LabelPosition

extends java.lang.Object

Utility class that stores details of how the label is positioned on the curve

Field Summary
`double` `defaultInterGlyphSpace`
`double` `endBuffer`
`double` `startBuffer`

Constructor Summary
`mxCurveLabelShape.LabelPosition()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startBuffer

    public double startBuffer

### endBuffer

    public double endBuffer

### defaultInterGlyphSpace

    public double defaultInterGlyphSpace

Constructor Detail

### mxCurveLabelShape.LabelPosition

    public mxCurveLabelShape.LabelPosition()

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.